const { defineConfig } = require('@vue/cli-service')

const path = require('path');

function resolve(dir) {
  return path.join(__dirname, dir)
}

module.exports = defineConfig({
  transpileDependencies: true,

  pages: {
    index: {
      entry: 'src/main.ts',
      template: 'public/index.html',
      fileName: 'index.html'
    }
  },
  chainWebpack: config => {
    const fileRule = config.module.rule('file')
    fileRule.uses.clear()
    fileRule
        .test(/\.png$/)
        .use('file-loader')
        .options({  outputPath: "img",
          name: '[name]_[hash:6].[ext]',
          esModule: false})
        .loader('file-loader')
  }

  // publicPath:"./"
})
